Bug 305611 - libunwind/src/os-linux.c:48: error: conflicting types for '_Uppc64_get_elf_image' ../include/tdep/libunwind_i.h:291: error: previous declaration of '_Uppc64_get_elf_image' was here
Summary: libunwind/src/os-linux.c:48: error: conflicting types for '_Uppc64_get_elf_im...
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: frysk   
(Show other bugs)
Version: rawhide
Hardware: ppc64
OS: Linux
low
low
Target Milestone: ---
Assignee: Andrew Cagney
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ExcludeArch-ppc64, F-ExcludeArch-ppc64 F-ExcludeArch-ppc
TreeView+ depends on / blocked
 
Reported: 2007-09-25 17:23 UTC by Andrew Cagney
Modified: 2008-04-07 18:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-07 18:33:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andrew Cagney 2007-09-25 17:23:07 UTC
frysk (actually libunwind) doesn't build on ppc/ppc64:

 /usr/bin/gcc -DHAVE_CONFIG_H -I. -I../include
-I/builddir/build/BUILD/frysk-0.0.1.2007.09.24/frysk-imports/libunwind/src
-I/builddir/build/BUILD/frysk-0.0.1.2007.09.24/frysk-imports/libunwind/include
-I/builddir/build/BUILD/frysk-0.0.1.2007.09.24/frysk-imports/libunwind/include/tdep-ppc64
-I. -D_GNU_SOURCE -DNDEBUG -O2 -g -pipe -Wall -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m64 -mminimal-toc -fexceptions -Wall -Wsign-compare
-MT os-linux.lo -MD -MP -MF .deps/os-linux.Tpo -c
/builddir/build/BUILD/frysk-0.0.1.2007.09.24/frysk-imports/libunwind/src/os-linux.c
 -fPIC -DPIC -o .libs/os-linux.o
In file included from
/builddir/build/BUILD/frysk-0.0.1.2007.09.24/frysk-imports/libunwind/include/libunwind_i.h:287,
                 from
/builddir/build/BUILD/frysk-0.0.1.2007.09.24/frysk-imports/libunwind/src/os-linux.c:32:
../include/tdep/libunwind_i.h: In function 'dwarf_putvr':
../include/tdep/libunwind_i.h:141: warning: dereferencing type-punned pointer
will break strict-aliasing rules
../include/tdep/libunwind_i.h: In function 'dwarf_putfp':
../include/tdep/libunwind_i.h:187: warning: dereferencing type-punned pointer
will break strict-aliasing rules
/builddir/build/BUILD/frysk-0.0.1.2007.09.24/frysk-imports/libunwind/src/os-linux.c:
At top level:
/builddir/build/BUILD/frysk-0.0.1.2007.09.24/frysk-imports/libunwind/src/os-linux.c:48:
error: conflicting types for '_Uppc64_get_elf_image'
../include/tdep/libunwind_i.h:291: error: previous declaration of
'_Uppc64_get_elf_image' was here
make[5]: *** [os-linux.lo] Error 1
make[5]: Leaving directory
`/builddir/build/BUILD/frysk-0.0.1.2007.09.24/build/frysk-imports/libunwind-ppc64/src'
make[4]: *** [all] Error 2
make[4]: Leaving directory
`/builddir/build/BUILD/frysk-0.0.1.2007.09.24/build/frysk-imports/libunwind-ppc64/src'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory
`/builddir/build/BUILD/frysk-0.0.1.2007.09.24/build/frysk-imports/libunwind-ppc64'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory
`/builddir/build/BUILD/frysk-0.0.1.2007.09.24/build/frysk-imports'
make[1]: *** [all] Error 2
make[1]: Leaving directory
`/builddir/build/BUILD/frysk-0.0.1.2007.09.24/build/frysk-imports'
make: *** [all-recursive] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.51235 (%build)

Comment 1 David Woodhouse 2008-02-29 22:53:58 UTC
Is this still true?

Comment 2 Andrew Cagney 2008-04-07 18:33:15 UTC
Building for me; for instance frysk-0.2.1 built on ppc64.  Assuming IBM fixed
this at some point.


Note You need to log in before you can comment on or make changes to this bug.